local _, NS = ...

NS.PREFIX_COLOR = "D040D0"
NS.ADDON_NAME="OrganizedPanic"
NS.ADDON_TITLE="Organized Panic"
NS.CHAT_COMMAND_NAME="op"

NS.DEFAULTS = {
  profile = {
    flashBorder = true,
    playSound = true,
    sound = "auctionhouse",
    borderColor = {r = 0.0, g = 0.0, b = 1.0},
    debug = false,
    trace = false,
    includeSelf = false,
    includeRole = true,
    requireInstance = true,
    windowVisible = false,
    standalone = false,
    minimap = {
      hide = false
    }
  }
}

NS.PANIC_SPELLS = {
  [740] = {class = "DRUID", specialization = "Restoration", role = "HEALER", duration = 180, type = "CHANNELED"}, -- tranquility
  [64843] = {class = "PRIEST", specialization = "Holy", role = "HEALER", duration = 180, type = "CHANNELED"}, -- divine hymn
  [265202] = {class = "PRIEST", specialization = "Holy", role = "HEALER", duration = 720, type = "CAST"}, -- holy word: salvation
  [115310] = {class = "MONK", specialization = "Mistweaver", role = "HEALER", duration = 180, type = "INSTANT"}, -- revival
  [108280] = {class = "SHAMAN", specialization = "Restoration", role = "HEALER", duration = 180, type = "INSTANT"}, -- healing tide totem
  [98008] = {class = "SHAMAN", specialization = "Restoration", role = "HEALER", duration = 180, type = "INSTANT"}, -- spirit link totem
  -- [774] = "HEALER",
  -- [48438] = "HEALER",
  -- [190356] = "DAMAGER"
}

NS.TALENT_MODIFICATIONS = {
  {talentId = 197073, spellId = 740, type = "offset", property = "duration", value = -60} -- inner peace reduces tranquility by 60 seconds
}

NS.SPELL_MODIFICATIONS = {
  [2050] = {spellId = 265202, type = "offset", property = "start", value = -30}, -- holy word: serenity reduces holy word: salvation remaining by 30 seconds
  [34861] = {spellId = 265202, type = "offset", property = "start", value = -30}, -- holy word: sanctify reduces holy word: salvation remaining by 30 seconds
}

NS.SOUNDS = {
  ["artifact"] = "Interface/AddOns/OrganizedPanic/sounds/artifact.ogg",
  ["azerite"] = "Interface/AddOns/OrganizedPanic/sounds/azerite.ogg",
  ["legendary"] = "Interface/AddOns/OrganizedPanic/sounds/legendary.ogg",
  ["objectivecomplete"] = "Interface/AddOns/OrganizedPanic/sounds/objectivecomplete.ogg",
  ["auctionhouse"] = "Interface/AddOns/OrganizedPanic/sounds/auctionhouse.ogg",
  ["auctionclose"] = "Interface/AddOns/OrganizedPanic/sounds/auctionclose.ogg",
  ["raidwarning"] = "Interface/AddOns/OrganizedPanic/sounds/raidwarning.ogg",
  ["raidbosswarning"] = "Interface/AddOns/OrganizedPanic/sounds/raidbosswarning.ogg",
  ["raidbosswhisperwarning"] = "Interface/AddOns/OrganizedPanic/sounds/ui_raidbosswhisperwarning.ogg",
  ["arrogance"] = "Interface/AddOns/OrganizedPanic/sounds/such_arrogance.ogg",
  ["givein"] = "Interface/AddOns/OrganizedPanic/sounds/give_into_your_fear.ogg",
}
